RoboCupMS

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
com.robogames.RoboCupMS.Business.Security.TokenAuthorization Class Reference
Inheritance diagram for com.robogames.RoboCupMS.Business.Security.TokenAuthorization:
[legend]
Collaboration diagram for com.robogames.RoboCupMS.Business.Security.TokenAuthorization:
[legend]

## Public Member Functions
| TokenAuthorization (String _x_token, UserRepository _repository, String[] _ignoredEndpoints)

## Static Public Member Functions
static String | generateAccessTokenForUser (UserRC _user, UserRepository _repository) throws Exception
static String | generateToken ()

## Protected Member Functions
void | doFilterInternal (HttpServletRequest request, HttpServletResponse response, FilterChain chain) throws ServletException, IOException

## Detailed Description

Filter pro autorizaci uzivatelu (pomoci tokenu)

## Constructor & Destructor Documentation

## ◆ TokenAuthorization()

com.robogames.RoboCupMS.Business.Security.TokenAuthorization.TokenAuthorization | ( | String | _x_token,
|  | UserRepository | _repository,
|  | String[] | _ignoredEndpoints
| ) |  |
| inline

Vytvori token filter

Parameters

  _x_token | Nazev fieldu v headeru requestu, ktery obsahuje pristupovy token
  _repository | Repozitar z uzivately
  _ignoredEndpoints | Endpointy, ktery bude filter ignorovat

## Member Function Documentation

## ◆ generateAccessTokenForUser()

static String com.robogames.RoboCupMS.Business.Security.TokenAuthorization.generateAccessTokenForUser | ( | UserRC | _user,
|  | UserRepository | _repository
| ) |  | throws Exception
| inline static

Vygeneruje pristupovy token pro uzivatele

Parameters

  _user | Uzivatel, pro ktereho se ma vygenerovat token
  _repository | Repozitar uzivatelu

Returns
  Pristupovy token

Exceptions

  Exception |

## ◆ generateToken()

static String com.robogames.RoboCupMS.Business.Security.TokenAuthorization.generateToken | ( |  | ) |
| inline static

Nahodne vygeneruje token

Returns
  Novy teoken

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Business/Security/TokenAuthorization.java